Bug 613093 - SELinux is preventing /usr/bin/python "search" access on /root/.local.
SELinux is preventing /usr/bin/python "search" access on /root/.local.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:0a8308313e1...
:
: 613094 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 12:48 EDT by Adam Hough
Modified: 2011-06-01 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 11:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Hough 2010-07-09 12:48:34 EDT
Summary:

SELinux is preventing /usr/bin/python "search" access on /root/.local.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by fail2ban-server. It is not expected that this
access is required by fail2ban-server and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:fail2ban_t:s0
Target Context                system_u:object_r:gconf_home_t:s0
Target Objects                /root/.local [ dir ]
Source                        fail2ban-server
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.4-27.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-33.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-124.fc13.x86_64.debug #1 SMP
                              Fri Jun 11 09:29:48 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Fri 09 Jul 2010 11:45:33 AM CDT
Last Seen                     Fri 09 Jul 2010 11:45:33 AM CDT
Local ID                      da8e24bc-1617-4735-9c3d-a4966a41d87f
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278693933.840:1684): avc:  denied  { search } for  pid=7238 comm="fail2ban-server" name=".local" dev=dm-3 ino=1569814 scontext=unconfined_u:system_r:fail2ban_t:s0 tcontext=system_u:object_r:gconf_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1278693933.840:1684): arch=c000003e syscall=4 success=no exit=-2 a0=dbeb20 a1=7fffef95de60 a2=7fffef95de60 a3=6b6361702d657469 items=0 ppid=7235 pid=7238 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=1 comm="fail2ban-server" exe="/usr/bin/python" subj=unconfined_u:system_r:fail2ban_t:s0 key=(null)



Hash String generated from  catchall,fail2ban-server,fail2ban_t,gconf_home_t,dir,search
audit2allow suggests:

#============= fail2ban_t ==============
allow fail2ban_t gconf_home_t:dir search;
Comment 1 Miroslav Grepl 2010-07-12 12:06:18 EDT
I will add

optional_policy(`
    gnome_dontaudit_search_config(fail2ban_t)
')

and

optional_policy(`
    gnome_dontaudit_search_config(denyhosts_)
')
Comment 2 Miroslav Grepl 2010-07-12 12:06:35 EDT
*** Bug 613094 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2010-07-13 03:15:30 EDT
Fixed in selinux-policy-3.7.19-36.fc13
Comment 4 Fedora Admin XMLRPC Client 2010-11-08 16:50:45 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2010-11-08 16:52:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2010-11-08 16:53:15 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Bug Zapper 2011-06-01 10:20:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.